[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ESS Maestro3 + Lenny



* Florian Kulzer [090516 21:14 +0200]
> On Sat, May 16, 2009 at 20:51:00 +0200, Elimar Riesebieter wrote:
> > * Florian Kulzer [090516 18:53 +0200]
> > > On Sat, May 16, 2009 at 00:25:44 -0400, Dennis Creedan wrote:
> > > > All,
> > > > 
> > > > I've upgraded from woody to sarge to etch to lenny, and I am having problems
> > > > with sound.  (I had no problems in woody, but I did not test sound in sarge
> > > > or etch since it was one upgrade right after the other).  Here are my specs:
> > > > 
> > > > Debian 5.0 (lenny) on Dell Inspiron 8100.  Sound card is obviously an ESS
> > > > Maestro3
> > 
> > Since alsa-driver 1.0.17.dfsg-1 maestro3 ist supported anymore.
> > Don't know which Debian Kernel version removes it because of DFSG
> > violations.
> 
> Does that mean the information on the Debian wiki is incorrect?
> 
> http://wiki.debian.org/snd-maestro3

In linux-2.6 2.6.23-1, the binary-only firmware in this driver was removed (see
the package changelog), due to discovered licensing issues. This was also
removed from the alsa-source package to resolve bug 483918.

alsa-firmware isn't distributed by Debian. Building maestro3 from alsa-source
package >= 1.0.17-1 isn't possible.

> > Custom Kernels can be build with maestro3.
> 
> >From upstream sources, I assume?

For kernels > than the debian linux-2.6 2.6.23-1 you need to compile
the maestro driver from a vanilla one.

Elimar

-- 
  You cannot propel yourself forward by
  patting yourself on the back.


Reply to: